Subject: [AVT] draft-boyaci-avt-app-sharing

From: Raphael Coeffic <[email-masked]>
Date: Wed, 19 Nov 2008 15:44:46 +0100

Hi,

during the AVT session yesterday, it has been proposed to take the 
discussion on this draft to the mailing list.
Even if Jörg pointed out that there are already some interoperable 
solution for remote desktop applications (ex: VNC) or screen sharing in 
a wider sense (some ITU protocol for which I cannot remember the 
number), I believe that there is a need for this kind of work at the 
IETF. I think that Omer demonstrated very well how VNC is inapropriate 
for the kind of applications he was showing.
It is still unclear to me if this works belongs to the AVT working 
group. Anyhow, I think it is worth discussing whether there is room or 
not for this work at the IETF. For my part, I would greatly appreciate 
it and was planning to integrate a similar solution with a conference 
server, thus allowing for a complete user experience including VoIP 
conference and screen sharing.

Regards,
Raphael Coeffic.
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: "Xavier Marjou" <[email-masked]>
Date: Wed, 19 Nov 2008 10:16:06 -0600

+1

On Wed, Nov 19, 2008 at 8:44 AM, Raphael Coeffic <[email-masked]> wrote:
> Even if Jörg pointed out that there are already some interoperable solution
> for remote desktop applications (ex: VNC) or screen sharing in a wider sense
> (some ITU protocol for which I cannot remember the number), I believe that
> there is a need for this kind of work at the IETF. I think that Omer
> demonstrated very well how VNC is inapropriate for the kind of applications
> he was showing.
> It is still unclear to me if this works belongs to the AVT working group.
> Anyhow, I think it is worth discussing whether there is room or not for this
> work at the IETF. For my part, I would greatly appreciate it and was
> planning to integrate a similar solution with a conference server, thus
> allowing for a complete user experience including VoIP conference and screen
> sharing.
>
> Regards,
> Raphael Coeffic.

---

From: "Victor Pascual Ávila" <[email-masked]>
Date: Wed, 19 Nov 2008 19:52:26 +0100

> allowing for a complete user experience including VoIP conference and screen

I fully agree on that.
I don't consider the argument "other SDO worked on it" to be valid--
I'm proud to use SIP and not H.323...

-- 
Victor Pascual Ávila

---

From: Randell Jesup <[email-masked]>
Date: Wed, 19 Nov 2008 14:40:53 -0500

Raphael Coeffic <[email-masked]> writes:

>for remote desktop applications (ex: VNC) or screen sharing in a wider
>sense (some ITU protocol for which I cannot remember the number), I believe
>that there is a need for this kind of work at the IETF. I think that Omer

VNC is really a screen/computer-sharing/duplicating protocol, not an
application-sharing mechanism.

ITU specs that Remote Desktop Protocol (Windows) and rdesktop are built on:

T.128 Multipoint application sharing (link seems broken at the ITU)
http://www.itu.int/rec/T-REC-T.128-199802-I/en (T.128)

T.125 : Multipoint communication service protocol specification
http://www.itu.int/rec/T-REC-T.125-199802-I/en

http://en.wikipedia.org/wiki/Remote_Desktop_Protocol
"Based on the ITU T.share protocol (also known as T.128), the first version
of RDP (called version 4.0) ...".  Version 6.0, launched with Vista,
"incorporated support for connecting remotely to individual programs"

>group. Anyhow, I think it is worth discussing whether there is room or not
>for this work at the IETF. For my part, I would greatly appreciate it and
>was planning to integrate a similar solution with a conference server, thus
>allowing for a complete user experience including VoIP conference and
>screen sharing.

Well, this IS the Audio/Video Transport group, not the RTP group.  On the
other hand, most of application sharing isn't audio or video.  And to show
my geekiness, on the gripping hand, the question is whether there's a
better place for it than AVT - should we adopt it because it fits us better
than anyone else?  (I don't know that it does, but that is the question.)

-- 
Randell Jesup, Worldgate (developers of the Ojo videophone), ex-Amiga OS team
[email-masked]
"The fetters imposed on liberty at home have ever been forged out of the weapons
provided for defence against real, pretended, or imaginary dangers from abroad."
		- James Madison, 4th US president (1751-1836)

---

From: "Jonathan Lennox" <[email-masked]>
Date: Wed, 19 Nov 2008 16:24:17 -0500

Randell Jesup writes:
> Well, this IS the Audio/Video Transport group, not the RTP group.  On
> the other hand, most of application sharing isn't audio or video.  

It depends what you mean by "video".  In the sense that what you're
sending is an image that changes over time, application window data
could certainly be considered to be video, even though it can have very
different characteristics than "natural" video captured by cameras.

To be sure, the Human Interface (keyboard and mouse) part definitely
isn't audio or video.

I would definitely be +1 on application sharing being something worth
working on in the IETF, and +0.8 on doing it in AVT.

-- 
Jonathan Lennox
Vidyo, Inc
[email-masked]

---

From: Raphael Coeffic <[email-masked]>
Date: Wed, 19 Nov 2008 22:43:55 +0100

> working on in the IETF, and +0.8 on doing it in AVT.
I agree that I am not really sure about the correct working group for 
this work.

Anyway, Henning sent an email to the list on the 17th November that does 
not seem to have generated much echo...
But I think that his proposal about first defining the requirements 
would be a good idea.
This could be a good start for a possible BoF, if it turns out that this 
work is misplaced at the AVT working group.

Maybe we could have a design team for a start, not necessarily bound to 
a specific working group (if there is such thing...).

-Raphael.

---

From: Tom Taylor <[email-masked]>
Date: Wed, 19 Nov 2008 17:48:31 -0500

I wonder whether this is something for the XCON WG to consider?

---

From: "Victor Pascual Ávila" <[email-masked]>
Date: Wed, 19 Nov 2008 23:52:54 +0100

On Wed, Nov 19, 2008 at 10:43 PM, Raphael Coeffic <[email-masked]> wrote:
> Anyway, Henning sent an email to the list on the 17th November that does not
> seem to have generated much echo...

http://www.ietf.org/mail-archive/web/avt/current/msg10412.html

> But I think that his proposal about first defining the requirements would be
> a good idea.

IMO this work is something that might benefit from different WGs.
-- 
Victor Pascual Ávila
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: Raphael Coeffic <[email-masked]>
Date: Wed, 19 Nov 2008 22:54:15 +0100

> I wonder whether this is something for the XCON WG to consider?
Might be, but IMO, it is more focused on the control of the conference, 
as on what is exchanged within this conference.

-Raphael.

>> solution for remote desktop applications (ex: VNC) or screen sharing 
>> in a wider sense (some ITU protocol for which I cannot remember the 
>> IETF. I think that Omer demonstrated very well how VNC is 
>> inapropriate for the kind of applications he was showing.
>> group. Anyhow, I think it is worth discussing whether there is room 
>> or not for this work at the IETF. For my part, I would greatly 
>> appreciate it and was planning to integrate a similar solution with a 
>> conference server, thus allowing for a complete user experience 
>> including VoIP conference and screen sharing.
>>
>> Regards,
>> Raphael Coeffic.

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 19 Nov 2008 20:43:37 -0500

This is presumably for those above my paygrade to decide, but the  
number of options seems fairly limited. The SIP-related groups are  
clearly inappropriate, XCON is, as noted, dealing with a rather  
different problem of conference management, leaving AVT and MMUSIC. I  
think either would work, given that they have the broad-based  
participation that would seem to be helpful for this type of work.

I don't think setting up a new group is helpful for a one-draft effort.

Henning

---

From: Colin Perkins <[email-masked]>
Date: Thu, 20 Nov 2008 10:20:28 +0000

On 20 Nov 2008, at 01:43, Henning Schulzrinne wrote:
> different problem of conference management, leaving AVT and MMUSIC.  
> I think either would work, given that they have the broad-based  

MMUSIC doesn't seem like a good fit, since it's focussed on  
signalling issues these days.

AVT maybe, but that depends on whether RTP is the right transport  
protocol. That's the main question that needs to be settled, and the  
correct home for the work would seem to drop out of the answer.

-- 
Colin Perkins
http://csperkins.org/